#version 110

uniform mat4 matrix_projection;
uniform mat4 matrix_modelview;

attribute vec2 position;
attribute vec2 uv;

varying vec3 vertex_position;
varying vec2 vertex_uv;

void
main (void)
{
  vec4 p          = matrix_projection * matrix_modelview * vec4(position, 0.0, 1.0);
  gl_Position     = p;
  vertex_position = p.xyz;
  vertex_uv       = uv;
}
